# WebArena实例服务

## 1. 背景

操作智能体项目在数据采集、模型训练、模型推理评估等环节，需要频繁的与WebArena实例服务进行交互。交互过程会对WebArena实例进行状态的修改，因此需要对WebArena实例服务进行实例化。
通过统一个管理服务实现WebArena实例的自动创建、销毁、状态查询等操作。

## 2. 架构

服务包含以下几个部分：
- 控制台：提供网页界面，可以实现服务器管理、WebArena实例的创建、销毁、状态查询等操作。
- 物理服务器：目前已有的g1-g14服务器，已经安装好NixOS和docker。需要将WebArena镜像安装到各服务器上。每台服务器上运行一个agent。
- 实例Agent：部署在物理服务器上，负责WebArena实例的创建、销毁、可用状态查询等操作。


## 3. 使用流程

### 3.1 创建WebArena实例

### 3.2 销毁WebArena实例

### 3.3 查询WebArena实例状态

### 3.4 查询WebArena实例日志

